Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Interface XSLFShapeContainer

All Superinterfaces:
  poi.support.Iterable

All Known Implementing Classes:
  XSLFGroupShape, XSLFNotes, XSLFNotesMaster, XSLFSheet, XSLFSlide, XSLFSlideLayout, XSLFSlideMaster

    public interface XSLFShapeContainer

extends poi.support.Iterable

Common interface for shape containers, e.g. sheets or groups of shapes

Method Summary
`void` | `clear()` Removes all of the elements from this container (optional operation).
`XSLFAutoShape` | `createAutoShape()` create a new shape with a predefined geometry and add it to this shape container
`XSLFConnectorShape` | `createConnector()` create a connector
`XSLFFreeformShape` | `createFreeform()` create a new shape with a custom geometry
`XSLFGroupShape` | `createGroup()` create a group of shapes belonging to this container
`XSLFPictureShape` | `createPicture(int pictureIndex)` create a picture belonging to this container
`XSLFTextBox` | `createTextBox()` create a text box
`XSLFShape[]` | `getShapes()` Returns an array containing all of the elements in this container in proper sequence (from first to last element).
`boolean` | `removeShape(XSLFShape xShape)` Removes the specified shape from this sheet, if it is present (optional operation).

Methods inherited from interface poi.support.Iterable
`iterator`

Method Detail

### createAutoShape

    XSLFAutoShape createAutoShape()

  create a new shape with a predefined geometry and add it to this shape container

### createFreeform

    XSLFFreeformShape createFreeform()

  create a new shape with a custom geometry

### createTextBox

    XSLFTextBox createTextBox()

  create a text box

### createConnector

    XSLFConnectorShape createConnector()

  create a connector

### createGroup

    XSLFGroupShape createGroup()

  create a group of shapes belonging to this container

### createPicture

    XSLFPictureShape createPicture(int pictureIndex)

  create a picture belonging to this container

  Parameters:
    `pictureIndex` -
  Returns:

### getShapes

    XSLFShape[] getShapes()

  Returns an array containing all of the elements in this container in proper sequence (from first to last element).

  Returns:
    an array containing all of the elements in this container in proper sequence

### removeShape

    boolean removeShape(XSLFShape xShape)

  Removes the specified shape from this sheet, if it is present (optional operation). If this sheet does not contain the element, it is unchanged.

  Parameters:
    `xShape` - shape to be removed from this sheet, if present
  Returns:
    `true` if this sheet contained the specified element
  Throws:
    `java.lang.IllegalArgumentException` - if the type of the specified shape is incompatible with this sheet (optional)

### clear

    void clear()

  Removes all of the elements from this container (optional operation). The container will be empty after this call returns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD